From 4288721d4153736435f716343d8f50c617232dab Mon Sep 17 00:00:00 2001
From: zhengqunkoo <zhengqun.koo@gmail.com>
Date: Tue, 16 Apr 2019 15:35:21 +0800
Subject: [PATCH] New package: browsh-1.6.4

closes #11006
closes #13169
---
 srcpkgs/browsh/patches/go-bindata.patch | 18 +++++++++++
 srcpkgs/browsh/template                 | 42 +++++++++++++++++++++++++
 2 files changed, 60 insertions(+)
 create mode 100644 srcpkgs/browsh/patches/go-bindata.patch
 create mode 100644 srcpkgs/browsh/template

diff --git a/srcpkgs/browsh/patches/go-bindata.patch b/srcpkgs/browsh/patches/go-bindata.patch
new file mode 100644
index 00000000000..08b9763ccc3
--- /dev/null
+++ b/srcpkgs/browsh/patches/go-bindata.patch
@@ -0,0 +1,18 @@
+Source: John <johnz@posteo.net>
+Upsteam: no
+Reason: Our go-bindata seems to strip prefixed slash even when -prefix doesn't
+end with one.
+---
+diff --git interfacer/src/browsh/firefox.go interfacer/src/browsh/firefox.go
+index 00a9d72..2620522 100644
+--- interfacer/src/browsh/firefox.go
++++ interfacer/src/browsh/firefox.go
+@@ -227,7 +227,7 @@ func firefoxMarionette() {
+ // Install the Browsh extension that was bundled with `go-bindata` under
+ // `webextension.go`.
+ func installWebextension() {
+-	data, err := Asset("/browsh.xpi")
++	data, err := Asset("browsh.xpi")
+ 	if err != nil {
+ 		Shutdown(err)
+ 	}
diff --git a/srcpkgs/browsh/template b/srcpkgs/browsh/template
new file mode 100644
index 00000000000..7f6cbaaddca
--- /dev/null
+++ b/srcpkgs/browsh/template
@@ -0,0 +1,42 @@
+# Template file for 'browsh'
+pkgname=browsh
+version=1.6.4
+revision=1
+build_style=go
+go_import_path="github.com/browsh-org/browsh"
+go_package="$go_import_path/interfacer/src"
+hostmakedepends="curl dep go-bindata"
+depends="firefox"
+short_desc="Fully-modern text-based browser, rendering to TTY and browsers"
+maintainer="zhengqunkoo <root@zhengqunkoo.com>"
+license="LGPL-2.1-only"
+homepage="https://www.brow.sh/"
+distfiles="https://$go_import_path/archive/v$version.tar.gz
+ https://github.com/browsh-org/browsh/releases/download/v${version}/browsh-${version}-an.fx.xpi>browsh.xpi"
+checksum="965ce2d94d1d9e4b92411d344421c0bea40994527cafd694c5a6e8e206681ede
+ b410527a69dba88a30d8a6d341a20eb5cb1f84b684e9bc8bb6bc88a2930e0eea"
+skip_extraction="browsh.xpi"
+
+# Manipulate paths, because nested dir of repo is a go package
+pre_build() {
+	INTERFACER_ROOT="$GOSRCPATH/interfacer"
+	cd $INTERFACER_ROOT
+
+	dep ensure
+	# main.go expects browsh/interfacer/src/browsh in GOPATH/src
+	cd $GOPATH
+	ln -nfs "$GOSRCPATH" src/browsh
+
+	xpi_file="$XBPS_SRCDISTDIR/$pkgname-$version/browsh.xpi"
+	destination=$INTERFACER_ROOT/src/browsh/webextension.go
+	go-bindata \
+		-prefix "$XBPS_SRCDISTDIR/$pkgname-$version" \
+		-pkg browsh \
+		-o ${destination} \
+		${xpi_file}
+}
+
+post_install() {
+	mv ${DESTDIR}/usr/bin/{src,browsh}
+	vlicense LICENSE
+}
